package top.ninwoo.hadoop.client.controller;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;
import top.ninwoo.hadoop.api.po.FileSlice;
import top.ninwoo.hadoop.client.service.FileService;

import javax.annotation.Resource;

@RestController
public class ClientController {
/*    @RequestMapping("/helloClient")
    @ResponseBody
    public String helloClient(){
        return "hello,client";
    }*/

    @Resource
    private FileService fileService;

    @GetMapping("test1")
    public String sendData(String name) {
        FileSlice fileSlice = new FileSlice();
        fileSlice.setFileBytes(name.getBytes());
        fileSlice.setFileId(1111L);
        String result = fileService.sendFileSlice("127.0.0.1:8080", fileSlice);
        return result;
    }
/*    @GetMapping("sendFile")
    public String sendFile(String name, Long fileId) {
        BufferedImage image = fileService.readImage(name);
        return fileService.sendFile(fileId, image);
    }*/

    @GetMapping("getFile")
    public String getFile(String name, Long fileId) {
        return fileService.getFile(name, fileId);
    }


}
